Bug 654441 - lvm2app: API for querying "float" (percent) attributes
Summary: lvm2app: API for querying "float" (percent) attributes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Petr Rockai
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 21:18 UTC by Petr Rockai
Modified: 2011-05-19 14:27 UTC (History)
9 users (show)

Fixed In Version: lvm2-2.02.82-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 14:27:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0772 0 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2011-05-18 18:08:31 UTC

Description Petr Rockai 2010-11-17 21:18:01 UTC
The internal representation of percent is a combination of an enum and a float value. We can do better by just using fixed-point numbers. Then, we can also export the fixed-point value easily using the existing integer API provisions in lvm2app.

Comment 1 Petr Rockai 2010-11-17 21:18:30 UTC
In progress.

Comment 3 Petr Rockai 2010-12-12 23:05:48 UTC
There's a patch in review now, http://www.redhat.com/archives/lvm-devel/2010-December/msg00040.html

Comment 4 Petr Rockai 2010-12-14 23:26:27 UTC
I have checked the proposed patch in.

Comment 7 Corey Marthaler 2011-03-18 21:48:38 UTC
Marking this verified (SanityOnly).

Comment 8 errata-xmlrpc 2011-05-19 14:27:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0772.html


Note You need to log in before you can comment on or make changes to this bug.